Subject: Re: bug#5945: [PATCH] tests: avoid spurious failure of root-only ls/capability test
From: Pádraig Brady <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2010 00:51:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 14/04/10 15:37, Pádraig Brady wrote:
> On 14/04/10 14:52, Jim Meyering wrote:
>> tests: avoid spurious failure of root-only ls/capability test
> 
> Here's another ls test failure that happens on SELinux enabled systems.
> I'll push the following shortly.
> 
>>From 2d9e9408f74f39f4c2817ea028a7a6ad64fb4b45 Mon Sep 17 00:00:00 2001
> From: =?utf-8?q?P=C3=A1draig=20Brady?= <[email-masked]>
> Date: Wed, 14 Apr 2010 15:32:27 +0100
> Subject: [PATCH] tests: avoid spurious failure of ls/color-norm test
> 
> * tests/ls/color-norm: Ensure that the file size is output
> consistently as 1 block.  Previously we used "empty" files which
> could have some space allocated depending on whether SELinux was
> enabled for example.

I actually pused a different method to fix ls/color-norm since
I was worried that a 1 byte file might not use extra
allocation on some file systems. Instead I output a specific
time string to test the normal style attribute.

http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=3a1595a3

I'm marking these ls test issues as done.

cheers,
Pádraig.